summaryrefslogtreecommitdiffstats
path: root/system/bzip3
diff options
context:
space:
mode:
author marav <marav8@free.fr>2023-06-02 22:53:35 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-06-03 10:38:24 +0700
commit28f78e1ab012e277943e1f53877b7a8085956750 (patch)
tree3d3594823a0adc28d82ef83574c3a2dfe2150703 /system/bzip3
parent048bfc0edbf7a2f9b3eda2abd1b63e76c28aa187 (diff)
downloadslackbuilds-28f78e1ab012e277943e1f53877b7a8085956750.tar.gz
slackbuilds-28f78e1ab012e277943e1f53877b7a8085956750.tar.xz
system/bzip3: Added (Successor to BZip2)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/bzip3')
-rw-r--r--system/bzip3/README9
-rw-r--r--system/bzip3/bzip3.SlackBuild117
-rw-r--r--system/bzip3/bzip3.info10
-rw-r--r--system/bzip3/slack-desc19
4 files changed, 155 insertions, 0 deletions
diff --git a/system/bzip3/README b/system/bzip3/README
new file mode 100644
index 0000000000..0b21636580
--- /dev/null
+++ b/system/bzip3/README
@@ -0,0 +1,9 @@
+bzip3
+
+A better, faster and stronger spiritual successor to BZip2.
+Features higher compression ratios and better performance thanks to a
+order-0 context mixing entropy coder, a fast Burrows-Wheeler transform
+code making use of suffix arrays and a RLE with Lempel Ziv+Prediction
+pass based on LZ77-style string matching and PPM-style context modeling.
+
+
diff --git a/system/bzip3/bzip3.SlackBuild b/system/bzip3/bzip3.SlackBuild
new file mode 100644
index 0000000000..fdcd7b2fab
--- /dev/null
+++ b/system/bzip3/bzip3.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Copyright 2023 marav, FR
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=bzip3
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux || exit 1
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE NEWS README.md PORTING.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/bzip3/bzip3.info b/system/bzip3/bzip3.info
new file mode 100644
index 0000000000..85088e734e
--- /dev/null
+++ b/system/bzip3/bzip3.info
@@ -0,0 +1,10 @@
+PRGNAM="bzip3"
+VERSION="1.3.1"
+HOMEPAGE="https://github.com/kspalaiologos/bzip3"
+DOWNLOAD="https://github.com/kspalaiologos/bzip3/releases/download/1.3.1/bzip3-1.3.1.tar.gz"
+MD5SUM="85fbf81a9feffea5429d40b6128bbd1a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="marav"
+EMAIL="marav8@free.fr"
diff --git a/system/bzip3/slack-desc b/system/bzip3/slack-desc
new file mode 100644
index 0000000000..c2db8a70f1
--- /dev/null
+++ b/system/bzip3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bzip3: bzip3 (A better and stronger spiritual successor to BZip2)
+bzip3:
+bzip3: Like its ancestor, BZip3 excels at compressing text or code.
+bzip3:
+bzip3:
+bzip3:
+bzip3:
+bzip3:
+bzip3: Homepage: https://github.com/kspalaiologos/bzip3
+bzip3:
+bzip3: